<!DOCTYPE html>
  <head>
    <meta charset="utf-8">
    <title>Задание 5</title>
  </head>
  <body>
    <h1> Калькулятор стоимости заказа </h1>
    <input type="text" name="kol-vo" placeholder="Введи количество товара" oninput="this.value = this.value.replace(/[^0-9]/g, '')">
    <input type="text" name="price" placeholder="Введи стоимость товара" oninput="this.value = this.value.replace(/[^0-9]/g, '')">
    <br>
    <br>
    <button type="button" name="button" id="itog">Посчитать</button>
    <script>
      /*jslint devel: true */
      function cost() {
        let f1 = document.getElementsByName("kol-vo");
        let f2 = document.getElementsByName("price");
        alert("Сумма заказа = " + f1[0].value * f2[0].value);
      }
      window.addEventListener("DOMContentLoaded", function () {
        console.log("DOM fully loaded and parsed");
        let b = document.getElementById("itog");
        b.addEventListener("click", cost);
      });
    </script>
  </body>
</html>
